/***************************************************************************
                          enumvalueeditor.cpp  -  description
                             -------------------                                         
    begin                : Sat Mar 27 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qcombobox.h>
#include <qlayout.h>
#include "enumvalueeditor.h"

EnumValueEditor::EnumValueEditor(QWidget *parent, const char *name, EnumValue *v )
	: ValueEditor(parent,name)
{
	warning("Creating EnumValueEditor");
	setValue(v);

	comboBox= new QComboBox(false, this);
	CHECK_PTR(comboBox);

	QHBoxLayout *layout= new QHBoxLayout(this);
	layout->addWidget(comboBox);
	layout->activate();

	comboBox->insertStrList(v->valueNames());
	comboBox->setCurrentItem(v->index());
	comboBox->setFocus();
}

EnumValueEditor::~EnumValueEditor()
{
}

void EnumValueEditor::saveValue()
{
	EnumValue *v= (EnumValue *) value();
	v->setIndex(comboBox->currentItem());
}

















