/***************************************************************************
                          enumvalueeditor.h  -  description
                             -------------------                                         
    begin                : Sat Mar 27 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef ENUMVALUEEDITOR_H
#define ENUMVALUEEDITOR_H

#include <qwidget.h>
#include "valueeditor.h"
#include "enumvalue.h"

class QComboBox;

/**
	* An editor for enum Values.
  * @author Richard Moore
  */
class EnumValueEditor : public ValueEditor
{
   Q_OBJECT
public: 
	EnumValueEditor(QWidget *parent, const char *name, EnumValue *value);
	~EnumValueEditor();

signals:
	void cancelled();
	void accepted();
	void accepted(Value *);
	void resized();

protected:
	virtual void saveValue();

private:
	QComboBox *comboBox;
};

#endif








