/***************************************************************************
                          formview.cpp  -  description                              
                             -------------------                                         
    begin                : Sat Apr 10 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#include "formview.h"

FormView::FormView(QWidget *parent, const char *name )
	: QScrollView(parent,name)
{
	root= 0;
	toplevel_= 0;
	setResizePolicy(QScrollView::Manual);
}

FormView::~FormView()
{
}

void FormView::setRoot(Instance *root)
{
	this->root= root;
	refresh();
}

void FormView::refresh()
{
	refresh(root);
}

void FormView::refresh(Instance *root)
{		
	if (this->root != 0) {
		warning("FormView::refresh(Inststance *root)");

		if (toplevel_) {
			delete toplevel_;
		}
		toplevel_= this->root->createView(this);
		addChild(toplevel_, 10, 10);
		QSize sz= toplevel_->size();
		resizeContents(sz.width(), sz.height());
		toplevel_->show();
	}
}












