/***************************************************************************
                          formview.h  -  description                              
                             -------------------                                         
    begin                : Sat Apr 10 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef FORMVIEW_H
#define FORMVIEW_H

#include <qwidget.h>
#include <qscrollview.h>
#include "instance.h"

/**
	* Holds the WYSIWYG view of the GUI.
	*
  * @author Richard Moore
  */
class FormView : public QScrollView  {
   Q_OBJECT

public: 
	FormView(QWidget *parent=0, const char *name=0);
	~FormView();
	
	void setRoot(Instance *root);
	
public slots:
	void refresh();
	void refresh(Instance *);

private:
	Instance *root;
	QWidget *toplevel_;
};

#endif


