/***************************************************************************
                          intvalue.cpp  -  description                              
                             -------------------                                         
    begin                : Tue Mar 23 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qstring.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qframe.h>
#include "intvalue.h"
#include "intvalueeditor.h"

IntValue::IntValue()
{
	val= 0;
}

IntValue::~IntValue()
{
}

int IntValue::value()
{
	return val;
}

void IntValue::setValue(int v)
{
	val= v;
}

ValueEditor *IntValue::createEditor(QWidget *parent)
{
	ValueEditor *frame= new IntValueEditor(parent, "Int editor", this);
	CHECK_PTR(frame);

	return frame;
}

const char *IntValue::toString()
{
	valueStr.setNum(val);

	return valueStr.data();
}

void IntValue::fromString(const char *s)
{
	valueStr= s;
	val= valueStr.toInt();
}











