/***************************************************************************
                          intvalueeditor.cpp  -  description                              
                             -------------------                                         
    begin                : Fri Apr 2 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include <qlayout.h>
#include "intvalueeditor.h"
#include "intvalue.h"

IntValueEditor::IntValueEditor(QWidget *parent, const char *name, IntValue *v)
	: ValueEditor(parent,name)
{
	setValue(v);

	spinner= new QSpinBox(this);
	CHECK_PTR(spinner);
	spinner->setFrameStyle(QFrame::NoFrame);

	QHBoxLayout *layout= new QHBoxLayout(this);
	layout->addWidget(spinner);
	layout->activate();

	spinner->setValue(v->value());
}

IntValueEditor::~IntValueEditor()
{
}

void IntValueEditor::saveValue()
{
	int i= spinner->value();
	IntValue *iv= (IntValue *) value();
	iv->setValue(i);
}







