/***************************************************************************
                          propertydialog.h  -  description                              
                             -------------------                                         
    begin                : Sun Mar 21 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef PROPERTYDIALOG_H
#define PROPERTYDIALOG_H

#include <qwidget.h>
#include <qtabdialog.h>
#include "propertytree.h"

class Instance;
class PropertyListView;

/**
	* A tabbed dialog for holding the property sheets.
	*
  * @author Richard Moore
  */
class PropertyDialog : public QTabDialog
{
   Q_OBJECT

public:
	PropertyDialog(QWidget *parent=0, const char *name=0);
	~PropertyDialog();

	PropertyListView *listView();
	
public slots:
	void setInstance(Instance *);

private:
	PropertyListView *genericView;
	Instance *current;
};

#endif

