/***************************************************************************
                          stringvalueeditor.h  -  description                              
                             -------------------                                         
    begin                : Sat Mar 27 1999                                           
    copyright            : (C) 1999 by Richard Moore                         
    email                : rich@kde.org                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef STRINGVALUEEDITOR_H
#define STRINGVALUEEDITOR_H

#include <qwidget.h>
#include <qlineedit.h>
#include "valueeditor.h"
#include "stringvalue.h"

/**
	* An editor for StringValues.
  * @author Richard Moore
  */
class StringValueEditor : public ValueEditor
{
   Q_OBJECT
public: 
	StringValueEditor(QWidget *parent, const char *name, StringValue *value);
	~StringValueEditor();

signals:
	void cancelled();
	void accepted();
	void accepted(Value *);
	void resized();

protected:
	virtual void saveValue();

private:
	QLineEdit *lineEdit;
};

#endif






